Http11Nio2Protocol (Apache Tomcat 11.0.22 API Documentation)
Description: declaration: package: org.apache.coyote.http11, class: Http11Nio2Protocol

# Class Http11Nio2Protocol

java.lang.Object
org.apache.coyote.AbstractProtocol<Nio2Channel>
org.apache.coyote.http11.AbstractHttp11Protocol<Nio2Channel>
org.apache.coyote.http11.Http11Nio2Protocol

All Implemented Interfaces:
  `MBeanRegistration, ProtocolHandler`

public class Http11Nio2Protocol extends AbstractHttp11Protocol<Nio2Channel>
HTTP/1.1 protocol implementation using NIO2.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractProtocol

  `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

- ## Field Summary

  ### Fields inherited from class AbstractHttp11Protocol

  `sm`

  ### Fields inherited from class AbstractProtocol

  `adapter, domain, mserver, oname, processorCache, rgOname`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Http11Nio2Protocol()`
  `Http11Nio2Protocol(Nio2Endpoint endpoint)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Log`
  `getLog()`
  Concrete implementations need to provide access to their logger to be used by the abstract classes.
  `protected String`
  `getNamePrefix()`
  Obtain the prefix to be used when construction a name for this protocol handler.

  ### Methods inherited from class AbstractHttp11Protocol

  `addAllowedTrailerHeader, addSslHostConfig, addSslHostConfig, addUpgradeProtocol, checkSni, createProcessor, createUpgradeProcessor, destroy, findSslHostConfigs, findUpgradeProtocols, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getContinueResponseTiming, getContinueResponseTimingInternal, getDefaultSSLHostConfigName, getDisableUploadTimeout, getEndpoint, getHttpParser, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxHttpRequestHeaderSize, getMaxHttpResponseHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionEncodings, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getONameForUpgrade, getProtocolName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getSniParseLimit, getSslImplementationName, getSslImplementationShortName, getUpgradeGroupInfo, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, init, isSSLEnabled, isTrailerHeaderAllowed, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAllowedTrailerHeaders, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setContinueResponseTiming, setDefaultSSLHostConfigName, setDisableUploadTimeout, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxHttpRequestHeaderSize, setMaxHttpResponseHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionEncodings, setNoCompressionUserAgents, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSniParseLimit, setSSLEnabled, setSslImplementationName, setUseKeepAliveResponseHeader, setUseSendfile, useCompression`

  ### Methods inherited from class AbstractProtocol

  `addWaitingProcessor, awaitConnectionsClose, closeServerSocketGraceful, getAcceptCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxQueueSize, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxQueueSize, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ProtocolHandler

  `getDesiredBufferSize`

- ## Constructor Details

  - ### Http11Nio2Protocol

    public Http11Nio2Protocol()

  - ### Http11Nio2Protocol

    public Http11Nio2Protocol(Nio2Endpoint endpoint)

- ## Method Details

  - ### getLog

    protected Log getLog()
    Description copied from class: `AbstractProtocol`
    Concrete implementations need to provide access to their logger to be used by the abstract classes.
    Specified by:
      `getLog` in class `AbstractProtocol<Nio2Channel>`
    Returns:
      the logger

  - ### getNamePrefix

    protected String getNamePrefix()
    Description copied from class: `AbstractProtocol`
    Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.
    Specified by:
      `getNamePrefix` in class `AbstractProtocol<Nio2Channel>`
    Returns:
      the prefix